%global debug_package %{nil}

# https://github.com/opentofu/opentofu
%global  goipath    github.com/opentofu/opentofu
%global  forgeurl   https://github.com/opentofu/opentofu
Version:            1.8.3

%gometa -f

Name:       opentofu
Release:    1%{?dist}
Summary:    A tool for building, changing, and versioning infrastructure.
# NOTE: go_vendor_license report expression
License:    Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND ISC AND MIT AND MPL-2.0 AND Unlicense
URL:        https://opentofu.org
Source0:    https://github.com/opentofu/opentofu/archive/refs/tags/v%{version}.tar.gz
Source1:    %{archivename}-vendor.tar.gz

BuildRequires: golang >= 1.21


%description
OpenTofu enables you to safely and predictably create, change, and
improve infrastructure. It is an open source tool that codifies APIs
into declarative configuration files that can be shared amongst team
members, treated as code, edited, reviewed, and versioned.


%prep
%goprep
%setup -q -T -D -a1 %{forgesetupargs}

%generate_buildrequires

%build
export LDFLAGS="-s -w -X github.com/opentofu/opentofu/version.dev=no"
%gobuild -o %{gobuilddir}/bin/tofu %{goipath}/cmd/tofu


%install
install -D -m 0755 %{gobuilddir}/bin/tofu %{buildroot}%{_bindir}/tofu


%files
%doc README.md CHANGELOG.md CODEOWNERS
%license LICENSE vendor/modules.txt
%{_bindir}/tofu


%changelog
* Thu Oct 03 2024 sheePackager <packager@shee.org> - 1.8.3-1
- Update to 1.8.3

* Mon Sep 16 2024 sheePackager <packager@shee.org> - 1.8.2-1
- Update to 1.8.2

* Mon Sep 02 2024 sheePackager <packager@shee.org> - 1.8.1-3
- Update to v1.8.1
- Use bundled integration

* Wed Jun 05 2024 Mike Rochefort <mroche@omenos.dev> - 1.7.2-1
- Update to v1.7.2

* Wed May 08 2024 Mike Rochefort <mroche@omenos.dev> - 1.7.1-1
- Update to v1.7.1

* Tue Apr 30 2024 Mike Rochefort <mroche@omenos.dev> - 1.7.0-1
- Update to v1.7.0

* Thu Feb 22 2024 Mike Rochefort <mroche@omenos.dev> - 1.6.2-1
- Update to v1.6.2

* Wed Jan 24 2024 Mike Rochefort <mroche@omenos.dev> - 1.6.1-1
- Update to v1.6.1

* Thu Jan 11 2024 Mike Rochefort <mroche@omenos.dev> - 1.6.0-1
- Update to v1.6.0 GA

* Wed Dec 20 2023 Mike Rochefort <mroche@omenos.dev> - 1.6.0~rc1-1
- Update to v1.6.0-rc1

* Fri Dec 08 2023 Mike Rochefort <mroche@omenos.dev> - 1.6.0~beta3-1
- Update to 1.6.0-beta3

* Mon Dec 04 2023 Mike Rochefort <mroche@omenos.dev> - 1.6.0~beta2-1
- Update to 1.6.0-beta2

* Fri Dec 01 2023 Mike Rochefort <mroche@omenos.dev> - 1.6.0~beta1-1
- Update to 1.6.0-beta1

* Mon Nov 27 2023 Mike Rochefort <mroche@omenos.dev> - 1.6.0~alpha5-1
- Update to 1.6.0-alpha5

* Wed Nov 01 2023 Mike Rochefort <mroche@omenos.dev> - 1.6.0~alpha3-1
- Initial build of OpenTofu
